Package org.apache.felix.framework.util

# Class Mutex

java.lang.Object
org.apache.felix.framework.util.Mutex

public class Mutex extends Object

## Constructor Summary

Constructors
Constructor
Description
`Mutex()`

## Method Summary

Modifier and Type
Method
Description
`void`
`down()`
`void`
`up()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mutex

public Mutex()

## Method Details

### down

public void down() throws InterruptedException

Throws:
  `InterruptedException`

### up

public void up()